org.apache.torque.generator.configuration.mergepoint

## Interface ActionSaxHandlerFactory

- All Known Implementing Classes:
    ApplyActionSaxHandlerFactory, OptionActionSaxHandlerFactory, OutputActionSaxHandlerFactory, SourceElementAttributeActionSaxHandlerFactory, TraverseAllActionSaxHandlerFactory

      public interface ActionSaxHandlerFactory

  Classes implementing this interface are responsible for creating `ActionSaxHandler`s for a specific action type. When a action configuration needs to be parsed, a sax handler will read the type of the action and check it against the types of the registered ActionSaxHandlers. The first matching handler will then be used to parse the action configuration.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ActionSaxHandler` | `getActionSaxHandler(String uri, String localName, String qName, Attributes attributes, ConfigurationProvider configurationProvider, UnitDescriptor unitDescriptor)` Returns a ActionSaxHandler for reading in the configuration of an action.
    `String` | `getType()` Returns the action type handled by the ActionSaxHandlers which are created by this factory.

- - ### Method Detail

    - #### getType

          String getType()

      Returns the action type handled by the ActionSaxHandlers which are created by this factory.
      Returns:
        the type of the action, not null.

    - #### getActionSaxHandler

          ActionSaxHandler getActionSaxHandler(String uri,
                                               String localName,
                                               String qName,
                                               Attributes attributes,
                                               ConfigurationProvider configurationProvider,
                                               UnitDescriptor unitDescriptor)
                                        throws SAXException

      Returns a ActionSaxHandler for reading in the configuration of an action. The SAX Handler is used as a delegate handler whenever an action element with the matching type is encountered in a configuration file.
      Parameters:
        `uri` - The namespace URI of the action element, or the empty string if the element has no namespace URI or if namespace processing is not being performed.
        `localName` - The local name (without prefix), or the empty string if namespace processing is not being performed.
        `qName` - The qualified name (with prefix, if present), or the empty string if qualified names are not available.
        `attributes` - The attributes attached to the element.
        `configurationProvider` - for accessing the configuration files, not null.
        `unitDescriptor` - The description of the generation unit, not null.
      Returns:
        a SAX delegate handler for parsing the configuration with the given type.
      Throws:
        `SAXException` - if the SAX Handler for the outlet can not be created from the given XML element.

Copyright © 2000–2020 The Apache Software Foundation. All rights reserved.